<?php

/*
 * returns minimum order amount
 */

 function pns_get_minimum_order_amount() {
    global $woocommerce;
    $advanced_settings       = (array) get_option( "pns_advanced_settings" );
    $minimumamount           = $woocommerce->cart->subtotal_ex_tax; //subtotal excluding tax
	$tax_total               = $woocommerce->cart->tax_total; // tatal tax amount excluding shipping tax
    $shipping_tax_total      = $woocommerce->cart->shipping_tax_total; //shipping tax
	
	
	
    if (isset($advanced_settings['minamount']) && ($advanced_settings['minamount'] == "inclusive")) {
       $minimumamount           = $minimumamount + $tax_total;
        
		if ( isset($advanced_settings['shipping_tax']) && ($advanced_settings['shipping_tax'] == "yes")) {
			$minimumamount     =  $minimumamount + $shipping_tax_total;
		}
	 }

    return $minimumamount;

 }
 ?>